Summary:     Library providing the Gnome XSLT engine
Name:        libxslt
Version:     1.1.11
Release:     2.pp
License:     MIT
Group:       System Environment/Libraries
Source0:     ftp://xmlsoft.org/%{name}-%{version}.tar.gz
URL:         http://xmlsoft.org/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc libxml2 >= 2.6.8 libgcrypt
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel libxml2-devel >= 2.6.8 libgcrypt-devel
ExclusiveOS: linux

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.8
installed. The xsltproc command is a command line interface to the XSLT
engine.


%package devel
Summary:     Development files for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
This package contains the header files, libraries, and documentation
for building programs which use %{name}.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-shared         \
	--enable-static         \
	--without-python
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
rm -f doc/Makefile*


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog Copyright FEATURES INSTALL
%doc NEWS README TODO
/usr/bin/xsltproc
/usr/lib/*.so.*
/usr/share/man/man1/*

%files devel
%defattr(-, root, root)
%doc doc/*
/usr/bin/xslt-config
%dir /usr/include/libexslt
/usr/include/libexslt/*
%dir /usr/include/libxslt
/usr/include/libxslt/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/lib/*.sh
/usr/lib/pkgconfig/*
/usr/share/aclocal/*
/usr/share/man/man3/*


%changelog
* Thu Oct 21 2004 peter.pramberger@member.fsf.org
- created

